Loading...
Searching...
No Matches
pfn2idx_range Struct Reference

Translation of a PFN range to an index. More...

## Data Fields

kdump_pfn_t | pfn
| PFN to be translated.
uint_fast64_t | idx
| Page index in .xen_pages.
int_fast64_t | len
| Length of the range.

## Detailed Description

Translation of a PFN range to an index.

## Field Documentation

## len

int_fast64_t pfn2idx_range::len

Length of the range.

If the number is negative, then PFNs are mapped in descending order (i.e. while PFN increases, the index decreases), otherwise in ascending order.

The documentation for this struct was generated from the following file:

- src/kdumpfile/elfdump.c